Skip to main content
PUT
Reconfirm the consent of a financial connection

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

connectionId
integer
required

The financial connection ID

Body

application/json
max_historical_days
integer | null

The maximum number of days of historical data Synci should be able to fetch. Applies to all accounts belonging to this connection. Use the institutions endpoint (GET /finance/institutions) to find out the maximum historical days for an institution.

Required range: x >= 0
access_valid_for_days
integer | null

Also known as consent lifetime. The number of days Synci should be able to access accounts belonging to this connection. E.g. if this is set to 180 days, you will have to re-authenticate the connection every 180 days. Synci will email you when the expiry date is approaching. Use the institutions endpoint (GET /finance/institutions) to find out the maximum access valid for days for an institution.

Required range: x >= 1
sync_balances
boolean | null
integrator
enum<string>

The provider a financial connection or account is sourced from: GOCARDLESS (EU/UK banks), AKAHU (NZ banks), ARRAY (US banks), SNAPTRADE (brokerages and crypto exchanges) or DEMO (Synci's demo banks). UNKNOWN is used for accounts created manually via the API.

Available options:
UNKNOWN,
GOCARDLESS,
AKAHU,
ARRAY,
SNAPTRADE,
DEMO

Response